Subject: Re: bug#33870: 27.0.50; xref-goto-xref not configurable

From: Dmitry Gutov <[email-masked]>
Date: Sun, 6 Jan 2019 02:52:08 +0300

On 06.01.2019 02:17, Juri Linkov wrote:

>> I suggested TAB because in Emacs, tab completes stuff and closes
>> *completions*. So it's not consistent with web browsers but is consistent
>> with emacs, as usual.

Joao probably meant pressing TAB in the original buffer, which is not 
something you can do with xref.

> Typing TAB in *Completions* moves point to the next completion,
> so in xref this corresponds to xref-next-line, and Shift-TAB
> moves to the previous completion that corresponds to xref-prev-line.

Maybe that's an argument for not bringing xref closed to Completions: I 
would certainly not like if 'n' and 'p' were replaced with 'TAB' and 
'S-TAB'.